curl --request GET \
--url https://api.lettermint.co/v1/webhooks \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"route_id": "<string>",
"name": "<string>",
"url": "<string>",
"events": [
"message.created"
],
"enabled": true,
"last_called_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"path": "<string>",
"per_page": 1,
"next_cursor": "<string>",
"next_page_url": "<string>",
"prev_cursor": "<string>",
"prev_page_url": "<string>"
}Returns a paginated list of webhooks with filtering options.
curl --request GET \
--url https://api.lettermint.co/v1/webhooks \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"route_id": "<string>",
"name": "<string>",
"url": "<string>",
"events": [
"message.created"
],
"enabled": true,
"last_called_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"path": "<string>",
"per_page": 1,
"next_cursor": "<string>",
"next_page_url": "<string>",
"prev_cursor": "<string>",
"prev_page_url": "<string>"
}Team API token. Find this in your team settings.
Available sorts are name, url, created_at. You can sort by multiple options by separating them with a comma. To sort in descending order, use - sign in front of the sort, for example: -name.
Filter by enabled status
Filter by specific event type
message.created, message.sent, message.delivered, message.hard_bounced, message.soft_bounced, message.spam_complaint, message.failed, message.suppressed, message.unsubscribed, message.opened, message.clicked, message.inbound, message.policy_rejected, webhook.test Filter by route ID
Search by webhook name or URL
Paginated set of WebhookListData
Show child attributes
Base path for paginator generated URLs.
Number of items shown per page.
x >= 0The "cursor" that points to the next set of items.
The "cursor" that points to the previous set of items.